version: "3.9"
services:
    fivem:
        image: spritsail/fivem:13227
        container_name: fivem
        environment:
        - NO_LICENSE_KEY=1
        - NO_DEFAULT_CONFIG=1
        - PUID=0
        - PGID=0
        volumes:
        - ./config:/config
        - ./txData:/txData
        ports:
        - '40120:40120'
        - '30120:30120'
        - '30120:30120/udp'
        restart: always
        depends_on:
        - fivem-db
    fivem-db:
        image: mariadb:10.11.6
        container_name: fivem_db
        environment:
        - PUID=0
        - PGID=0
        - MYSQL_ROOT_PASSWORD=tdDgrdv6cs2J0D
        - TZ=Europe/Paris
        - MYSQL_DATABASE=hardb
        - MYSQL_USER=har-admin
        - MYSQL_PASSWORD=Xu22DW2SUwfGFv
        #- MYSQL_ALLOW_EMPTY_PASSWORD=yes
        command:
            --sql_mode=NO_ZERO_IN_DATE,NO_ZERO_DATE,NO_ENGINE_SUBSTITUTION
        ports:
        - 3306:3306
        volumes:
        - ./mysql:/var/lib/mysql
        # - ./mysql/my.cnf:/etc/mysql/my.cnf
        restart: always
    phpmyadmin:
        image: phpmyadmin
        restart: always
        ports:
        - 8080:80
        environment:
        - PMA_ARBITRARY=1
        - UPLOAD_LIMIT=100M
        depends_on:
        - fivem-db